Name:           python-spark-nlp
Version:        6.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        John Snow Labs Spark NLP is a natural language processing library built on top of Apache Spark ML. It provides simple, performant & accurate NLP annotations for machine learning pipelines, that scale easily in a distributed environment.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/JohnSnowLabs/spark-nlp
Source:         %{pypi_source spark_nlp}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'spark-nlp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-spark-nlp
Summary:        %{summary}

%description -n python3-spark-nlp %_description


%prep
%autosetup -p1 -n spark_nlp-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-spark-nlp -f %{pyproject_files}


%changelog
%autochangelog